Package io.dapr.actors.runtime

# Class ActorTypeConfig

java.lang.Object
io.dapr.actors.runtime.ActorTypeConfig

public class ActorTypeConfig extends Object
Represents the configuration for the Actor Type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Duration`
  `getActorIdleTimeout()`
  Gets the duration for Actors' timeout.
  `Duration`
  `getActorScanInterval()`
  Gets the duration to scan for Actors.
  `Boolean`
  `getDrainBalancedActors()`
  Gets whether balanced actors should be drained.
  `Duration`
  `getDrainOngoingCallTimeout()`
  Gets the timeout to drain ongoing calls.
  `Integer`
  `getRemindersStoragePartitions()`
  Gets the number of storage partitions for Actor reminders.
  `ActorTypeConfig`
  `setActorIdleTimeout(Duration actorIdleTimeout)`
  Sets the duration for Actors' timeout.
  `ActorTypeConfig`
  `setActorScanInterval(Duration actorScanInterval)`
  Sets the duration to scan for Actors.
  `ActorTypeConfig`
  `setDrainBalancedActors(Boolean drainBalancedActors)`
  Sets whether balanced actors should be drained.
  `ActorTypeConfig`
  `setDrainOngoingCallTimeout(Duration drainOngoingCallTimeout)`
  Sets the timeout to drain ongoing calls.
  `ActorTypeConfig`
  `setRemindersStoragePartitions(Integer remindersStoragePartitions)`
  Sets the number of storage partitions for Actor reminders.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getActorIdleTimeout

    public Duration getActorIdleTimeout()
    Gets the duration for Actors' timeout.
    Returns:
      Duration for Actors' timeout.

  - ### setActorIdleTimeout

    public ActorTypeConfig setActorIdleTimeout(Duration actorIdleTimeout)
    Sets the duration for Actors' timeout.
    Parameters:
      `actorIdleTimeout` - Duration for Actors' timeout.
    Returns:
      This instance.

  - ### getActorScanInterval

    public Duration getActorScanInterval()
    Gets the duration to scan for Actors.
    Returns:
      The duration to scan for Actors.

  - ### setActorScanInterval

    public ActorTypeConfig setActorScanInterval(Duration actorScanInterval)
    Sets the duration to scan for Actors.
    Parameters:
      `actorScanInterval` - The duration to scan for Actors.
    Returns:
      This instance.

  - ### getDrainOngoingCallTimeout

    public Duration getDrainOngoingCallTimeout()
    Gets the timeout to drain ongoing calls.
    Returns:
      The timeout to drain ongoing calls.

  - ### setDrainOngoingCallTimeout

    public ActorTypeConfig setDrainOngoingCallTimeout(Duration drainOngoingCallTimeout)
    Sets the timeout to drain ongoing calls.
    Parameters:
      `drainOngoingCallTimeout` - The timeout to drain ongoing calls.
    Returns:
      This instance.

  - ### getDrainBalancedActors

    public Boolean getDrainBalancedActors()
    Gets whether balanced actors should be drained.
    Returns:
      Whether balanced actors should be drained.

  - ### setDrainBalancedActors

    public ActorTypeConfig setDrainBalancedActors(Boolean drainBalancedActors)
    Sets whether balanced actors should be drained.
    Parameters:
      `drainBalancedActors` - Whether balanced actors should be drained.
    Returns:
      This instance.

  - ### getRemindersStoragePartitions

    public Integer getRemindersStoragePartitions()
    Gets the number of storage partitions for Actor reminders.
    Returns:
      The number of Actor reminder storage partitions.

  - ### setRemindersStoragePartitions

    public ActorTypeConfig setRemindersStoragePartitions(Integer remindersStoragePartitions)
    Sets the number of storage partitions for Actor reminders.
    Parameters:
      `remindersStoragePartitions` - The number of storage partitions for Actor reminders.
    Returns:
      This instance.